Query analysis types, optionally applying a filter.
id
OBJECT_ID
api.analysis-types.read
cURL
curl --request POST \ --url https://localtest.mindbridge.ai/api/v1/analysis-types/query \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'
{ "pageNumber": 123, "totalPages": 123, "content": [ { "version": 123, "id": {}, "creationDate": "2023-11-07T05:31:56Z", "lastModifiedDate": "2023-11-07T05:31:56Z", "createdUserInfo": { "userId": {}, "userName": "<string>" }, "lastModifiedUserInfo": { "userId": {}, "userName": "<string>" }, "name": "<string>", "interimName": "<string>", "description": "<string>", "accountMappingRequired": true, "fundSupported": true, "interimSupported": true, "periodicSupported": true, "archived": true, "maxPeriod": 123, "sourceConfigurations": [ { "sourceTypeId": {}, "sourceScope": "CURRENT_PERIOD", "required": true, "postAnalysis": true, "interimOnly": true, "disableForInterim": true, "allowMultiple": true, "allowMultipleForPeriodic": true, "alternativeRequiredSourceTypes": [ {} ], "tracksAdditionalDataEntries": true } ] } ], "numberOfElements": 123, "totalElements": 123, "pageable": { "pageNumber": 123, "pageSize": 123, "offset": 123, "sort": { "empty": true, "unsorted": true, "sorted": true } }, "pageSize": 123, "sort": { "empty": true, "unsorted": true, "sorted": true }, "first": true, "last": true, "size": 123, "number": 123 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
x >= 0
x >= 1
OK
Show child attributes
Was this page helpful?